﻿using System.Web.Optimization;
using System.Web.UI;

namespace TestProject
{
    /// <summary>
    /// 번들 구성
    /// </summary>
    public class BundleConfiguration
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 번들 컬렉션 등록하기 - RegisterBundleCollection(bundleCollection)

        /// <summary>
        /// 번들 컬렉션 등록하기
        /// </summary>
        /// <param name="bundleCollection">번들 컬렉션</param>
        public static void RegisterBundleCollection(BundleCollection bundleCollection)
        {
            bundleCollection.Add
            (
                new ScriptBundle("~/bundles/WebFormsJs").Include
                (
                    "~/Scripts/WebForms/WebForms.js",
                    "~/Scripts/WebForms/WebUIValidation.js",
                    "~/Scripts/WebForms/MenuStandards.js",
                    "~/Scripts/WebForms/Focus.js",
                    "~/Scripts/WebForms/GridView.js",
                    "~/Scripts/WebForms/DetailsView.js",
                    "~/Scripts/WebForms/TreeView.js",
                    "~/Scripts/WebForms/WebParts.js"
                )
            );

            bundleCollection.Add
            (
                new ScriptBundle("~/bundles/MsAjaxJs").Include
                (
                    "~/Scripts/WebForms/MsAjax/MicrosoftAjax.js",
                    "~/Scripts/WebForms/MsAjax/MicrosoftAjaxApplicationServices.js",
                    "~/Scripts/WebForms/MsAjax/MicrosoftAjaxTimer.js",
                    "~/Scripts/WebForms/MsAjax/MicrosoftAjaxWebForms.js"
                )
            );

            bundleCollection.Add
            (
                new ScriptBundle("~/bundles/modernizr").Include
                (
                    "~/Scripts/modernizr-*"
                )
            );

            ScriptManager.ScriptResourceMapping.AddDefinition
            (
                "respond",
                new ScriptResourceDefinition
                {
                    Path      = "~/Scripts/respond.min.js",
                    DebugPath = "~/Scripts/respond.js"
                }
            );
        }

        #endregion
    }
}