﻿using Microsoft.AspNet.FriendlyUrls;
using System.Web.Mvc;
using System.Web.Routing;

namespace TestProject
{
    /// <summary>
    /// 경로 구성
    /// </summary>
    public static class RouteConfiguration
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 경로 컬렉션 등록하기 - RegisterRouteCollection(routeCollection)

        /// <summary>
        /// 경로 컬렉션 등록하기
        /// </summary>
        /// <param name="routeCollection">경로 컬렉션</param>
        public static void RegisterRouteCollection(RouteCollection routeCollection)
        {
            FriendlyUrlSettings setting = new FriendlyUrlSettings();

            setting.AutoRedirectMode = RedirectMode.Permanent;

            routeCollection.EnableFriendlyUrls(setting);

            routeCollection.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routeCollection.MapRoute
            (
                name     : "Default",
                url      : "{controller}/{action}/{id}",
                defaults : new { action = "Index", id = UrlParameter.Optional }
            );  
        }

        #endregion
    }
}