﻿using System.Web.Http;

namespace TestProject
{
    /// <summary>
    /// 웹 API 구성
    /// </summary>
    public static class WebAPIConfiguration
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 등록하기 - Register(configuration)

        /// <summary>
        /// 등록하기
        /// </summary>
        /// <param name="configuration">HTTP 구성</param>
        public static void Register(HttpConfiguration configuration)
        {
            configuration.Formatters.JsonFormatter.SerializerSettings.ContractResolver =
                new Newtonsoft.Json.Serialization.CamelCasePropertyNamesContractResolver();

            configuration.MapHttpAttributeRoutes();

            configuration.Routes.MapHttpRoute
            (
                name          : "DefaultApi",
                routeTemplate : "api/{controller}/{id}",
                defaults      : new { id = RouteParameter.Optional }
            );
        }

        #endregion
    }
}