﻿using System;
using System.Web.UI;

using NoticeBoard.Models;

namespace TestProject.NoticeBoard
{
    /// <summary>
    /// 댓글 삭제 페이지
    /// </summary>
    public partial class CommentDeletePage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 게시글 ID - NoticeID

        /// <summary>
        /// 게시글 ID
        /// </summary>
        public int NoticeID { get; set; }

        #endregion
        #region 댓글 ID - ID

        /// <summary>
        /// 댓글 ID
        /// </summary>
        public int ID { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if(Request["NoticeID"] != null && Request.QueryString["ID"] != null)
            {
                NoticeID = Convert.ToInt32(Request["NoticeID"]);
                ID       = Convert.ToInt32(Request["ID"      ]);
            }
            else
            {
                Response.End();
            }
        }

        #endregion
        #region 삭제 버튼 클릭시 처리하기 - deleteButton_Click(sender, e)

        /// <summary>
        /// 삭제 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void deleteButton_Click(object sender, EventArgs e)
        {
            CommentRepository repository = new CommentRepository();

            if(repository.GetCommentCount(NoticeID, ID, this.passwordTextBox.Text) > 0)
            {
                repository.DeleteComment(NoticeID, ID, this.passwordTextBox.Text);

                Response.Redirect($"NoticeViewPage.aspx?ID={NoticeID}");
            }
            else
            {
                this.errorLabel.Text = "패스워드가 일치하지 않습니다. 다시 입력해 주시기 바랍니다.";
            }
        }

        #endregion
    }
}