﻿using System;
using System.Web.UI;

using NoticeBoard.Models;

namespace TestProject.NoticeBoard.Controls
{
    /// <summary>
    /// 댓글 컨트롤
    /// </summary>
    public partial class CommentControl : UserControl
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 댓글 저장소
        /// </summary>
        private CommentRepository repository;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - CommentControl()

        /// <summary>
        /// 생성자
        /// </summary>
        public CommentControl()
        {
            this.repository = new CommentRepository();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if(!Page.IsPostBack)
            {
                this.repeater.DataSource = this.repository.GetCommentList(Convert.ToInt32(Request["ID"]));

                this.repeater.DataBind();
            }
        }

        #endregion
        #region 의견 남기기 버튼 클릭시 처리하기 - writeButton_Click(sender, e)

        /// <summary>
        /// 의견 남기기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void writeButton_Click(object sender, EventArgs e)
        {
            CommentModel comment = new CommentModel();

            comment.NoticeID  = Convert.ToInt32(Request["ID"]);
            comment.Name     = this.nameTextBox.Text;
            comment.Password = this.passwordTextBox.Text;
            comment.Comment  = this.commentTextBox.Text;

            this.repository.AddComment(comment);

            Response.Redirect($"{Request.ServerVariables["SCRIPT_NAME"]}?ID={Request["ID"]}");
        }

        #endregion
    }
}