﻿<%@ Control
    Language="C#"
    AutoEventWireup="true" 
    CodeBehind="EditorControl.ascx.cs" 
    Inherits="TestProject.NoticeBoard.Controls.EditorControl" %>
<style>
.BoardWriteFormTableLeftStyle
{
    width      : 100px;
    text-align : right;
}
</style>
<h2 style="text-align:center;">게시판</h2>
<asp:Label ID="titleDescriptionLabel" runat="server"
    ForeColor="#ff0000" />
<hr />
<table
    style="margin-left:auto;margin-right:auto;width:600px;border-collapse:collapse;padding:5px;">
    <% if(!string.IsNullOrEmpty(Request.QueryString["ID"]) && FormType == NoticeBoard.Models.BoardWriteFormType.Modify) { %>    
    <tr>
        <td class="BoardWriteFormTableLeftStyle">
            <span style="color: #ff0000;">*</span>ID
        </td>
        <td style="width:500px;">
            <%= Request.QueryString["ID"] %>
        </td>
    </tr>
    <% } %>
    <tr>
        <td class="BoardWriteFormTableLeftStyle"><span style="color: #ff0000;">*</span>성명</td>
        <td style="width:500px;">
            <asp:TextBox ID="nameTextBox" runat="server"
                CssClass="form-control"
                MaxLength="10" 
                Width="150px" />
            <asp:RequiredFieldValidator ID="nameRequiredFieldValidator" runat="server"
                ControlToValidate="nameTextBox"
                Display="None" 
                SetFocusOnError="True"
                ErrorMessage="* 성명을 입력해 주시기 바랍니다." />
        </td>
    </tr>
    <tr>
        <td style="text-align:right;">메일 주소</td>
        <td>
            <asp:TextBox ID="mailAddressTextBox" runat="server"
                CssClass="form-control" 
                style="display:inline-block;"
                MaxLength="80"
                Width="200px" />
            <span style="color:#aaaaaa;font-style:italic">(선택 사항)</span>
            <asp:RegularExpressionValidator ID="mailAddressRegularExpressionValidator" runat="server"
                ControlToValidate="mailAddressTextBox"
                ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"
                Display="None" 
                SetFocusOnError="True"
                ErrorMessage="* 메일 주소를 입력해 주시기 바랍니다." />
        </td>
    </tr>
    <tr>
        <td style="text-align:right;">홈페이지</td>
        <td>
            <asp:TextBox ID="homepageTextBox" runat="server" 
                CssClass="form-control"
                style="display:inline-block;" 
                MaxLength="80"
                Width="300px" />
            <span style="color:#aaaaaa;font-style:italic;">(선택 사항)</span>
            <asp:RegularExpressionValidator ID="homepageRegularExpressionValidator" runat="server" 
                ControlToValidate="homepageTextBox"
                ValidationExpression="http://([\w-]+\.)+[\w-]+(/[\w- ./?%&amp;=]*)?"
                Display="None"
                SetFocusOnError="True"
                ErrorMessage="* 홈페이지를 입력해 주시기 바랍니다." />
        </td>
    </tr>
    <tr>
        <td style="text-align:right;"><span style="color: #ff0000;">*</span>제목</td>
        <td>
            <asp:TextBox ID="titleTextBox" runat="server" CssClass="form-control" 
                Width="480px"></asp:TextBox>
            <asp:RequiredFieldValidator ID="titleRequiredFieldValidator" runat="server" 
                ControlToValidate="titleTextBox"
                Display="None" 
                SetFocusOnError="True"
                ErrorMessage="* 제목을 입력해 주시기 바랍니다." />
        </td>
    </tr>
    <tr>
        <td style="text-align:right;"><span style="color: #ff0000;">*</span>내용</td>
        <td>
            <asp:TextBox ID="contentTextBox" runat="server" 
                CssClass="form-control" 
                style="display:inline-block;"
                Width="480px"
                Height="150px"
                TextMode="MultiLine" />
            <asp:RequiredFieldValidator ID="contentRequiredFieldValidator" runat="server" 
                ControlToValidate="contentTextBox"
                Display="None" 
                SetFocusOnError="True"
                ErrorMessage="* 내용을 입력해 주시기 바랍니다." />
        </td>
    </tr>
    <tr>
        <td style="text-align:right;">파일 첨부</td>
        <td>
            <asp:CheckBox ID="uploadCheckBox" runat="server"
                CssClass="check-inline" 
                AutoPostBack="True"
                Text="체크 박스를 체크하면 업로드 화면이 표시됩니다." 
                OnCheckedChanged="uploadCheckBox_CheckedChanged" />
            <span style="color:#aaaaaa;font-style:italic">(선택 사항)</span>
            <br />
            <asp:Panel ID="filePanel" runat="server"
                Width="480px" 
                Height="25px"
                Visible="false">
                <input id="fileNameButton" runat="server"
                    style="width:290px;height:22px"
                    name="fileNameTextBox"
                    type="file" />
                <asp:label ID="previousFileNameLabel" runat="server"
                    text=""
                    Visible="false" />
            </asp:Panel>
        </td>
    </tr>
    <tr>
        <td style="text-align:right;"><span style="color: #ff0000;">*</span>인코딩</td>
        <td>
            <asp:RadioButtonList ID="encodingRadioButtonList" runat="server" 
                RepeatDirection="Horizontal"
                RepeatLayout="Flow">
                <asp:ListItem Value="Text" Selected="True">텍스트</asp:ListItem>
                <asp:ListItem Value="HTML">HTML</asp:ListItem>
                <asp:ListItem Value="Mixed">혼합</asp:ListItem>
            </asp:RadioButtonList>
        </td>
    </tr>
    <tr>
        <td style="text-align:right;"><span style="color: #ff0000;">*</span>패스워드</td>
        <td>
            <asp:TextBox ID="passwordTextBox" runat="server"
                CssClass="form-control" 
                style="display:inline-block;"
                MaxLength="20"
                Width="150px" 
                TextMode="Password"
                EnableViewState="False" />
            <span style=" color: #aaaaaa;">(수정/삭제시 필요)</span>
            <asp:RequiredFieldValidator ID="passwordRequiredFieldValidator" runat="server"
                ControlToValidate="passwordTextBox"
                Display="None" 
                SetFocusOnError="True"
                ErrorMessage="* 패스워드를 입력해 주시기 바랍니다." />
        </td>
    </tr>
    <%  if(!Page.User.Identity.IsAuthenticated) { %>
    <tr>
        <td style="text-align:right;"><span style="color: #ff0000;">*</span>보안코드</td>
        <td>
            <asp:TextBox ID="imageTextTextBox" runat="server" 
                CssClass="form-control" 
                style="display:inline-block;" 
                MaxLength="20" 
                Width="150px"
                EnableViewState="False" />
            <span style=" color: #aaaaaa;">(아래에 제시되는 보안코드를 입력하십시오.)</span>
            <br />
            <asp:Image ID="imageTextImage" runat="server" 
                ImageUrl="~/NoticeBoard/ImageTextPage.aspx" />
            <asp:Label ID="errorLabel" runat="server"
                ForeColor="Red" />
        </td>
    </tr>
    <% } %>
    <tr>
        <td colspan="2" style="text-align:center;">
            <asp:Button ID="saveButton" runat="server"
                CssClass="btn btn-primary"
                Text="저장" 
                OnClick="saveButton_Click" />
            <a class="btn btn-default" href="NoticeListPage.aspx">목록</a>
            <br />
            <asp:ValidationSummary ID="validationSummary" runat="server" 
                ShowSummary="False"
                ShowMessageBox="True"
                DisplayMode="List" />
            <br />
        </td>
    </tr>
</table>