﻿using System;
using System.IO;
using System.Web.UI;

namespace TestProject.NoticeBoard
{
    /// <summary>
    /// 이미지 다운로드 페이지
    /// </summary>
    public partial class ImageDownloadPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if(string.IsNullOrEmpty(Request.QueryString["FileName"]))
            {
                Response.End();
            }

            string fileName      = Request.Params["FileName"].ToString();
            string fileExtension = Path.GetExtension(fileName);
            string contentType   = string.Empty;

            if(fileExtension == ".gif" || fileExtension == ".jpg" || fileExtension == ".jpeg" || fileExtension == ".png")
            {
                switch(fileExtension)
                {
                    case ".gif"  : contentType = "image/gif";  break;
                    case ".jpg"  : contentType = "image/jpeg"; break;
                    case ".jpeg" : contentType = "image/jpeg"; break;
                    case ".png"  : contentType = "image/png";  break;
                }
            }
            else
            {
                Response.Write("<script language='javascript'>alert('이미지 파일이 아닙니다.');</script>");

                Response.End();
            }

            string filePath = Server.MapPath("~/FileUpload/") + fileName;

            Response.Clear();

            Response.ContentType = contentType;

            Response.WriteFile(filePath);

            Response.End();
        }

        #endregion
    }
}