﻿using System;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Drawing.Imaging;
using System.Drawing.Text;
using System.Web.UI;

namespace TestProject.NoticeBoard
{
    /// <summary>
    /// 이미지 텍스트 페이지
    /// </summary>
    public partial class ImageTextPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            Bitmap bitmap = new Bitmap(80, 20);

            Graphics graphics = Graphics.FromImage(bitmap);

            graphics.Clear(Color.White);

            graphics.SmoothingMode     = SmoothingMode.HighSpeed;
            graphics.TextRenderingHint = TextRenderingHint.AntiAlias;

            Random random = new Random();

            char character1 = (char)random.Next(65, 90 );
            char character2 = (char)random.Next(48, 57 );
            char character3 = (char)random.Next(97, 122);
            char character4 = (char)random.Next(48, 57 );

            Session["ImageText"] = $"{character1}{character2}{character3}{character4}";

            graphics.DrawString(character1.ToString(), new Font("Verdana", 12, FontStyle.Bold     ), Brushes.DarkBlue, new PointF(5 , 1));
            graphics.DrawString(character2.ToString(), new Font("Arial"  , 11, FontStyle.Italic   ), Brushes.DarkBlue, new PointF(25, 1));
            graphics.DrawString(character3.ToString(), new Font("Verdana", 11, FontStyle.Regular  ), Brushes.DarkBlue, new PointF(45, 1));
            graphics.DrawString(character4.ToString(), new Font("Arial"  , 12, FontStyle.Underline), Brushes.DarkBlue, new PointF(65, 1));

            Response.ContentType = "image/gif";

            bitmap.Save(Response.OutputStream, ImageFormat.Gif);

            bitmap.Dispose();

            graphics.Dispose();
        }

        #endregion
    }
}