﻿using System;
using System.Web.UI;

using NoticeBoard.Models;

namespace TestProject.NoticeBoard
{
    /// <summary>
    /// 게시글 삭제 페이지
    /// </summary>
    public partial class NoticeDeletePage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// ID
        /// </summary>
        private string id;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            this.id = Request.QueryString["ID"];

            this.cancelHyperLink.NavigateUrl = "NoticeViewPage.aspx?ID=" + this.id;

            this.idLabel.Text = this.id;

            this.deleteButton.Attributes["onclick"] = "return ConfirmDelete();";

            if(string.IsNullOrEmpty(this.id))
            {
                Response.Redirect("NoticeListPage.aspx");
            }
        }

        #endregion
        #region 삭제 버튼 클릭시 처리하기 - deleteButton_Click(sender, e)

        /// <summary>
        /// 삭제 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void deleteButton_Click(object sender, EventArgs e)
        {
            if((new NoticeRepository()).Delete(Convert.ToInt32(this.id), this.passwordTextBox.Text) > 0)
            {
                Response.Redirect("NoticeListPage.aspx");
            }
            else
            {
                this.messageLabel.Text = "삭제시 실패했습니다. 패스워드를 확인해 주시기 바랍니다.";
            }
        }

        #endregion
    }
}