﻿using System;
using System.Web.UI;

using NoticeBoard.Models;

namespace TestProject.NoticeBoard
{
    /// <summary>
    /// 게시글 다운로드 페이지
    /// </summary>
    public partial class NoticeDownloadPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 업로드 디렉토리 경로
        /// </summary>
        private string uploadDirectoryPath = string.Empty;

        /// <summary>
        /// 파일명
        /// </summary>
        private string fileName = string.Empty;

        /// <summary>
        /// 게시글 저장소
        /// </summary>
        private NoticeRepository repository;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - NoticeDownloadPage()

        /// <summary>
        /// 생성자
        /// </summary>
        public NoticeDownloadPage()
        {
            this.repository = new NoticeRepository();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            this.uploadDirectoryPath = Server.MapPath("~/FileUpload/");
            this.fileName            = this.repository.GetFileName(Convert.ToInt32(Request["ID"]));

            if(this.fileName == null)
            {
                Response.Clear();

                Response.End();
            }
            else
            {
                this.repository.UpdateDownloadCount(this.fileName);

                Response.Clear();

                Response.ContentType = "application/octet-stream";

                string attachmentFileName = Server.UrlPathEncode((this.fileName.Length > 50) ? this.fileName.Substring(this.fileName.Length - 50, 50) : this.fileName);

                Response.AddHeader
                (
                    "Content-Disposition",
                    "attachment;filename=" + attachmentFileName
                );

                Response.WriteFile(this.uploadDirectoryPath + this.fileName);

                Response.End();
            }
        }

        #endregion
    }
}