﻿<%@ Page
    Language="C#"
    MasterPageFile="~/Site.Master" 
    AutoEventWireup="true"
    CodeBehind="NoticeListPage.aspx.cs" 
    Inherits="TestProject.NoticeBoard.NoticeListPage"
    Title="게시글 목록 페이지" %>
<%@ Register 
    Src="~/NoticeBoard/Controls/SearchControl.ascx" 
    TagPrefix="local"
    TagName="SearchControl" %>
<%@ Register
    Src="~/NoticeBoard/Controls/PagingControl.ascx" 
    TagPrefix="local"
    TagName="PagingControl" %>
<asp:Content ID="content" ContentPlaceHolderID="MainContent" runat="server">
    <h2 style="text-align:center;">게시판</h2>
    <span style="color:#ff0000">글 목록</span>
    <hr />
    <table style="margin-left:auto;margin-right:auto;width:700px;">
        <tr>
            <td>
                <style>
                    table th
                    {
                        text-align : center;
                    }
                </style>
                <div style="font-style:italic;text-align:right;font-size:8pt;">
                    전체 레코드 : <asp:Literal ID="totalRecordLabel" runat="server" />
                </div>
                <asp:GridView ID="gridView" runat="server"
                    CssClass="table table-bordered table-hover table-condensed table-striped table-responsive"
                    AutoGenerateColumns="False"
                    DataKeyNames="ID">
                    <Columns>
                        <asp:TemplateField HeaderText="ID"
                            HeaderStyle-Width="50px"
                            ItemStyle-HorizontalAlign="Center">
                            <ItemTemplate>
                                <%# RecordCount - ((Container.DataItemIndex)) - (PageIndex * 10) %>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="제목"
                            ItemStyle-HorizontalAlign="Left"
                            HeaderStyle-Width="350px">
                            <ItemTemplate>
                                <%# TestProject.NoticeBoardHelper.GetReplyImageHTML(Eval("ReplyLevel")) %>
                                <asp:HyperLink ID="lnkTitle" runat="server"
                                    NavigateUrl='<%# "NoticeViewPage.aspx?ID=" + Eval("ID") %>'>
                                    <%# TestProject.StringHelper.CutUnicodeString(Eval("Title").ToString(), 30) %>
                                </asp:HyperLink>
                                <%# TestProject.NoticeBoardHelper.GetReplyCountHTML(Eval("CommentCount")) %>
                                <%# TestProject.NoticeBoardHelper.GetNewImageHTML(Eval("WriteDate"))%>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="파일"
                            HeaderStyle-Width="70px"
                            ItemStyle-HorizontalAlign="Center">
                            <ItemTemplate>
                                <%# TestProject.NoticeBoardHelper.GetFileDownloadLinkHTML(Convert.ToInt32(Eval("ID")), Eval("FileName").ToString(), Eval("FileSize").ToString()) %>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="Name" HeaderText="작성자"
                            HeaderStyle-Width="60px"
                            ItemStyle-HorizontalAlign="Center" />
                        <asp:TemplateField HeaderText="작성일"
                            ItemStyle-Width="90px"
                            ItemStyle-HorizontalAlign="Center">
                            <ItemTemplate>
                                <%# TestProject.NoticeBoardHelper.GetDateTimeHTML(Eval("WriteDate")) %>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="ReadCount" HeaderText="조회수"
                            ItemStyle-HorizontalAlign="Right"
                            HeaderStyle-Width="60px" />
                    </Columns>
                </asp:GridView>
            </td>
        </tr>
        <tr>
            <td style="text-align:center;">
                <local:PagingControl ID="pagingControl" runat="server" />
            </td>
        </tr>
        <tr>
            <td style="text-align:right;">
                <a class="btn btn-primary" href="NoticeWritePage.aspx">글쓰기</a>
            </td>
        </tr>
    </table>
    <local:SearchControl ID="searchControl" runat="server" />
</asp:Content>